/*
**************
			Created by: Cassandra McWade 2013
			Website: http://cassandramcwade.com
			Email: cas.TD@cassandramcwade.com
			For General Use

:Title:
Rigging Tools v 2.2

:Purpose:
Expedite the process of rigging characters by having all my day-to-day tools in one central location

:Bugs:
26/03/2013--Renamer Tool does not function properly within the culminated UI--RESOLVED

:History:
26/03/2013-- expedited development for showcase date
18/04/2013-- added print statement to renamer to view names in listener as well

:Include:
Renamer Tools v2.3-- DONE
Auto orientation constraint tool-- DONE
Auto FK tool-- DONE
Stretchy Bones --DONE
Unify control objs-- DONE
Auto IK/FK attribute holder definition & redefine w/ attributeHolder added for you
Gemma hair list controllers?? (unsure how to convert to UI)
Auto hand wiring w/ control obj creation
Prevent opening of multiple windows --DONE
Fix refresh button

:To Do:
Fix above


**************
methods always running so when max launches it finds it
save into one folderfor everything to be found
write code to eval all scripts in a folder so it is running when max si launched and can be called upon at any time

methods is global script
overall functions that i use all the time
have a script to go get tools 

rollout testR ""
(
	button PressMe "Press"
	on PressMe pressed do controllertools.run()
)
createDialog testR 

--**MAKE OWN ROLLOUTS LOAD INTO OTHER ROLLOUTS****
--need to store entire path, but just script name in list
*/

try(destroyDialog masterTool.uiR)catch()

struct MasterTool
(		
	ToolPath=@"C:\Program Files\Autodesk\3ds Max 2013\stdplugs\CAS_autoRig_AccessedScripts" ,
	Tools=#(), 
	
	fn getTools=
	(
		Tools=getFiles (toolPath+"\\*.ms") 
	),
	
	uiR=
	(
		rollout UIR "Cassandra McWade Rigging Toolset v1.2 " width:610 height:425
		(
			button refreshBT "Refresh List" align:#left
			listBox ToolsLB "Tools" height:5 align:#left width:150 
			groupBox infoGB "Plese Note:" pos:[10,230] width:160 height:160 across:2
			label infoL "I am not responsible for any of the files on your computer or the effects my scripts may or may not have upon them." across:2 width:140 height:250 pos:[15,250]
			label creditL "Stretchy Bone tool is Jason Labbe and Paul Neale" width:140 height:50 pos:[15,315]
			label promoL "cassandramcwade.com" width:140 height:50 pos:[15,360]
			subRollout toolsSR  width:400 pos:[180,30,10]
			
			on refreshBT pressed do
			(
				masterTool.getTools()
			)
			
			on ToolsLB selected sel do
			(
				toolStruct= fileIn masterTool.tools[sel]
				for r in toolsSR.rollouts do removeSubRollout toolsSR r
				for r in (toolStruct.getRollouts()) do addSubRollout toolsSR r 
			)
			
			on UIR open do
			(
				toolsSR.height=(UIR.height-40) 
				ToolsLB.height=175
				masterTool.getTools() 
				ToolsLB.items=for x in masterTool.Tools collect getFileNameFile x 
			)
		)
	),
	
	fn runFN=
	(
		destroyDialog uiR
		createDialog uiR
	)
)
masterTool=masterTool()
masterTool.runFN()